#include "LogFile.h"
	
LogFile::LogFile()
{
	try
	{ 
		m_fpLogFile = fopen("C:\\MigratorLog.txt","a+");
		BuildDateTimeString();
		fprintf(m_fpLogFile,"Beginning Log at: %s\n",m_pchDateTimeString);
	}
	catch(...)
	{
	}
}

LogFile::~LogFile()
{
	try
	{
		BuildDateTimeString();
		fprintf(m_fpLogFile,"Ending Log at :%s\n",m_pchDateTimeString);
		fclose(m_fpLogFile);
	}
	catch(...)
	{
	}

}

void LogFile::WriteToLogFile(char* a_pchString)
{
	try
	{
		BuildDateTimeString();
		fprintf(m_fpLogFile,"\nTimeStamp for the information found immediately after this:%s\n%s",m_pchDateTimeString,a_pchString);
	}
	catch(...)
	{
	}
}

void LogFile::GetSystemTime()
{
	try
	{
		::GetSystemTime(&m_SysTime);
	}
	catch(...)
	{
	}
}


char* LogFile::GetDayofWeek()
{
	try
	{
			switch(m_SysTime.wDayOfWeek)
			{
				case 0: strcpy(m_pchDayOfWeek,"Sun");break;
				case 1: strcpy(m_pchDayOfWeek,"Mon");break;
				case 2: strcpy(m_pchDayOfWeek,"Tue");break;
				case 3: strcpy(m_pchDayOfWeek,"Wed");break;
				case 4: strcpy(m_pchDayOfWeek,"Thu");break;
				case 5: strcpy(m_pchDayOfWeek,"Fri");break;
				case 6: strcpy(m_pchDayOfWeek,"Sat");break;
			}
			return m_pchDayOfWeek;
	}
	catch(...)
	{
		return NULL;
	}
}

char* LogFile::GetDay()
{
	try
	{
			sprintf(m_pchDay,"%0d",m_SysTime.wDay);
			return m_pchDay;
	}
	catch(...)
	{
		return NULL;
	}
}

char* LogFile::GetYear()
{
	try
	{
			sprintf(m_pchYear,"%0d",m_SysTime.wYear);
			return m_pchYear;
	}
	catch(...)
	{
		return NULL;
	}
}

char* LogFile::GetMonth()
{
	try
	{
			switch(m_SysTime.wMonth)
			{
				case 1: strcpy(m_pchMonth,"Jan");break;
				case 2: strcpy(m_pchMonth,"Feb");break;
				case 3: strcpy(m_pchMonth,"Mar");break;
				case 4: strcpy(m_pchMonth,"Apr");break;
				case 5: strcpy(m_pchMonth,"May");break;
				case 6: strcpy(m_pchMonth,"Jun");break;
				case 7: strcpy(m_pchMonth,"Jul");break;
				case 8: strcpy(m_pchMonth,"Aug");break;
				case 9: strcpy(m_pchMonth,"Sep");break;
				case 10: strcpy(m_pchMonth,"Aug");break;
				case 11: strcpy(m_pchMonth,"Nov");break;
				case 12: strcpy(m_pchMonth,"Dec");break;
				
			}
			return m_pchMonth;
	}
	catch(...)
	{
		return NULL;
	}
}

char* LogFile::GetHour()
{
	try
	{
			sprintf(m_pchHour,"%0d",m_SysTime.wHour);
			return m_pchHour;
	}
	catch(...)
	{
		return NULL;
	}
}

char* LogFile::GetMinutes()
{
	try
	{
			sprintf(m_pchMinutes,"%0d",m_SysTime.wMinute);
			return m_pchMinutes;
	}
	catch(...)
	{
		return NULL;
	}
}

void LogFile::BuildDateTimeString()
{
	try
	{
		LogFile::GetSystemTime();
		sprintf(m_pchDateTimeString,"%s %s %s %s:%s",GetDay(),GetMonth(),GetYear(),GetHour(),GetMinutes());
	}
	catch(...)
	{
	}
}