#if !defined __ADO_DATABASE_EXCEL
#define __ADO_DATABASE_EXCEL

#include "ADO_DataBase.h"
#define	RANGE			0
#define WORKSHEET 1

class ADO_DataBase_Excel:public ADO_DataBase
{
private:
	BOOL IsFileOpen(const char* a_pchFileName) const;
	BOOL IsFileOpen() const;
public:
	HRESULT Init();
	char* BuildConnString();
	HRESULT SimpleInsertRecord(const char* a_pchTableName,const char* a_pchColumnValues,...);//TableName,field value,...
	HRESULT SimpleInsertRecord(const char* a_pchTableName,const long a_lNoOfCols,_variant_t* a_varOneRowData);
	HRESULT SimpleCreateTable(const char* a_pchTableName,const char* a_pchColumnName,...);
	HRESULT SimpleCreateTable(const char* a_pchTableName,const char a_pchColumnName[][MAX_FIELD_LENGTH],const long a_lNoOfCols,const char a_pchColumnType[][MAX_FIELD_TYPE_LENGTH]);
	HRESULT InsertAllRows(const char* a_pchTableName,_RecordsetPtr a_pSourceRs,const long a_lNoOfColumns,_variant_t* a_varOneRowData);
	char*		SetWKSorRNGName(char *a_pchTableName,BOOL a_WKS_OR_RNG);

	//ADO_DataBase_Excel();//Set Extended Properties and other default properties for Excel
	//~ADO_DataBase_Excel();
	//HRESULT DeleteAllRecords(const char*);//TableName
};

#endif