#if !defined __LOGFILE
#define __LOGFILE

#include "stdio.h"
#include "windows.h"

class LogFile
{
private:
	FILE* m_fpLogFile;
	SYSTEMTIME	m_SysTime;
	CHAR m_pchDayOfWeek[4];
	CHAR m_pchDay[3];
	CHAR m_pchMonth[4];
	CHAR m_pchYear[5];
	CHAR m_pchHour[3];
	CHAR m_pchMinutes[3];
	CHAR m_pchDateTimeString[30];

	void GetSystemTime();
	char* GetDayofWeek();
	char* GetDay();
	char* GetMonth();
	char* GetYear();
	char* GetHour();
	char* GetMinutes();
public:
	LogFile();
	~LogFile();
	void BuildDateTimeString();
	void WriteToLogFile(char* a_pchString);
};

#endif